# RPM specfile for gnome-pilot module
# Generated Fri Jul 18 16:54:54 2003 GMT by Ximian build system
# $Id: bb_do,v 1.237 2003/07/08 20:42:34 thunder Exp $
# from $Id: ximian-build.conf,v 1.14 2003/06/06 21:49:21 dobey Exp $

%define nam	gnome-pilot
%define ver	2.0.10
%define licensedir	%{_datadir}/licenses/%{nam}-%{ver}
%define ximrev	1

Name:     	gnome-pilot
Version: 	2.0.10
Release:	0.ximian.5.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 8.0 / i386
Copyright:	GPL/LGPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://www.gnome.org/gnome-pilot/
Epoch:		1
Source0:	gnome-pilot-2.0.10.tar.gz
Patch0:		gnome-pilot-xd2-categories.patch
BuildRequires:	automake14
BuildRequires:	gettext
BuildRequires:	bonobo-activation-devel = 1.0.3
BuildRequires:	libgnomeui-devel = 2.0.3
BuildRequires:	ORBit2-devel = 2.4.1
BuildRequires:	libbonobo-devel = 2.0.0
BuildRequires:	libgnome-devel = 2.0.2
BuildRequires:	libglade2-devel = 2.0.0
BuildRequires:	gnome-vfs2-devel = 2.0.2
BuildRequires:	gtk2-devel = 2.0.6
BuildRequires:	glib2-devel = 2.0.6
BuildRequires:	libbonoboui-devel = 2.0.1
BuildRequires:	libIDL-devel = 0.8.0
BuildRequires:	linc-devel = 0.5.2
BuildRequires:	libxml2-devel = 2.4.23
BuildRequires:	libxslt-devel = 1.0.19
BuildRequires:	pango-devel = 1.1.1
BuildRequires:	libgnomecanvas-devel = 2.2.0.2
BuildRequires:	libart_lgpl-devel = 2.3.10
BuildRequires:	gnome-panel = 2.0.6
BuildRequires:	gnome-desktop = 2.0.6
BuildRequires:	libwnck = 0.17
BuildRequires:	GConf2-devel = 1.2.1
BuildRequires:	pilot-link-devel >= 0.11.5
Summary:	PalmOS link utilities
Group:		Applications/Communications
Provides:	ximian-gnome-pilot = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Prereq:	scrollkeeper
Conflicts:	gnome-pilot-conduits < 2.0

%description
GNOME Pilot is a collection of programs and daemons for using 
Palm OS-based systems with GNOME, the complete user-friendly desktop 
based entirely on free software.

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
/usr/share/control-center-2.0/capplets/*
/usr/*/locale/*/LC_MESSAGES/*
/usr/share/idl/*
/usr/share/mime-info/*
/usr/share/pixmaps/*
/usr/bin/*
/usr/libexec/gpilotd
/usr/lib/bonobo/servers/GNOME_Pilot_Daemon.server
/usr/lib/gnome-pilot
%dir /usr/share/gnome-pilot
%dir /usr/share/gnome-pilot/glade
/usr/share/gnome-pilot/conduits
/usr/share/gnome-pilot/glade/*.png
/usr/share/gnome-pilot/glade/gpilotd-capplet.glade
/usr/share/gnome/help/*
/usr/share/omf/*
/usr/lib/*.so.*
/usr/share/man/man1/*


%post
ldconfig
/usr/bin/scrollkeeper-update

%package -n gnome-pilot-devel
Summary:	Pilot development header files.
Group:		Development/Libraries
Requires:	gnome-pilot = %{version}-%{release}
Requires:	pilot-link-devel >= 0.11.5
Provides:	ximian-gnome-pilot-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description -n gnome-pilot-devel
GNOME Pilot is a collection of programs and daemons for using 
Palm OS-based systems with GNOME, the complete user-friendly desktop 
based entirely on free software.

%files -n gnome-pilot-devel
%defattr(-, root, root)
/usr/include/*
/usr/lib/*.so
/usr/lib/*.a
/usr/lib/pkgconfig/*


%package -n gnome-pilot-applet
Summary:	GNOME Pilot Panel Applet
Group:		Applications/Communications
Requires:	gnome-pilot = %{version}-%{release}
Provides:	ximian-gnome-pilot-applet = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Prereq:	GConf2

%description -n gnome-pilot-applet
GNOME Pilot provides this panel applet for control and status on your GNOME 1.4 based desktop. This package will not work with GNOME 2.x

%files -n gnome-pilot-applet
%defattr(-, root, root)
/usr/lib/bonobo/servers/GNOME_PilotApplet.server
/usr/libexec/gpilot-applet
/usr/share/gnome-pilot/glade/pilot-applet.glade
/etc/gconf/schemas/pilot.schemas


%post -n gnome-pilot-applet
GCONF_CONFIG_SOURCE=`/usr/bin/gconftool-2 --get-default-source` /usr/bin/gconftool-2 --makefile-install-rule /etc/gconf/schemas/pilot.schemas

# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n gnome-pilot-2.0.10
    ;;
all)
%setup  -q -n gnome-pilot-2.0.10
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} DESTDIR=${DESTDIR} install
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Fri Jul 18 2003 Ximian, Inc.

- Version: 1:2.0.10-0.ximian.5.1
- Summary: New build.
- New automated build.

* Wed Jun 4 2003 Ximian, Inc.

- Version: 1:2.0.9-0.ximian.5.2
- Summary: New build.
- New automated build.

* Mon May 5 2003 Ximian, Inc.

- Version: 1:2.0.8-0.ximian.1
- Summary: New build.
- New automated build.

* Fri May 2 2003 Ximian, Inc.

- Version: 1:2.0.7-0.ximian.1
- Summary: New build.
- New automated build.

* Mon Apr 28 2003 Ximian, Inc.

- Version: 1:2.0.6-0.ximian.1
- Summary: New build.
- New automated build.

